<?xml version="1.0"?>
<PropertySetDef xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" ifdguid="d38b99d1df6943c9ab953cf91878116a" templatetype="" xsi:noNamespaceSchemaLocation="http://buildingSMART-tech.org/xml/psd/PSD_IFC4.xsd">
  <IfcVersion version="IFC4" />
  <Name>Pset_BACnetPulseConverterObject</Name>
  <Applicability />
  <ApplicableClasses>
    <ClassName>IfcController/FLOATING</ClassName>
  </ApplicableClasses>
  <ApplicableTypeValue>IfcController/FLOATING</ApplicableTypeValue>
  <PropertyDefs>
    <PropertyDef ifdguid="c69d595caeda4a67a883096855cf104c">
      <Name>Status Flags</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
          <ConstantList>
            <ConstantDef>
              <Name>IN_ALARM</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>FAULT</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OVERRIDEN</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OUT_OF_SERVICE</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
          </ConstantList>
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="024f6de56152477797e96d0c0610c680">
      <Name>Event State</Name>
      <PropertyType>
        <TypePropertyEnumeratedValue>
          <EnumList />
          <ConstantList>
            <ConstantDef>
              <Name>NORMAL</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>OFFNORMAL</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
            <ConstantDef>
              <Name>FAULT</Name>
              <NameAliases />
              <DefinitionAliases />
            </ConstantDef>
          </ConstantList>
        </TypePropertyEnumeratedValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="1668b19809134e64a85fe44e12d66bcd">
      <Name>Out Of Service</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcBoolean" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="c0042dc785c547779d7d35b6dc22eabf">
      <Name>Units</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcLabel" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="5a7785c24ab346b4a7bbbb84ecfea443">
      <Name>Scale Factor</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcReal" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="4c8bcced01114082938a833d155a2c23">
      <Name>Count</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcInteger" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="57ded5e630854c2ab3dd13f9a05a33b1">
      <Name>Update Time</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcDateTime" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="dbf2159a8ef349c68a432487f1ff646c">
      <Name>Count Change Time</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcDateTime" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
    <PropertyDef ifdguid="45c50473f7e949b48042d16073de80c4">
      <Name>Count Before Change</Name>
      <PropertyType>
        <TypePropertySingleValue>
          <DataType type="IfcInteger" />
        </TypePropertySingleValue>
      </PropertyType>
      <NameAliases />
      <DefinitionAliases />
    </PropertyDef>
  </PropertyDefs>
  <PsetDefinitionAliases />
</PropertySetDef>